/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Main.java to edit this template
 */
package jeuderole;

import metier.*;

/**
 * Test Classe Jeu
 * @author famille Thevenot
 */
public class JeuDeRolePolymorphisme {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Personnage Jinx = new Voleur("Jinx", "Jinx.jpg", 2, 4, "Poignard");
        Personnage Ekko = new Guerrier("Ekko", "Ekko.jpg", 6, 4, "Hache");
        
        
        Enigme[] enigmes1 = {
            new Enigme("Qu’est ce qui est plus grand que la Tour Eiffel, mais infiniment moins lourd ?","ombre"),
            new Enigme("Girafe = 3, Éléphant = 3, Hippopotame = 5, Lion = … ?","2"),
            new Enigme("Qu'est-ce qui commence la nuit et termine le matin ?","n"),
            new Enigme("Qu'est-ce qui fait le tour de la maison sans bouger ?","mur")
        };
        
        Personnage Mel = new Sorcier("Mel", "Mel.jpg", 10, 5, "De laurier", enigmes1);
        Personnage[] persos = {
            Jinx, Ekko, Mel
        };
        
        System.out.println(Jinx.getNom()+"\nHP: "+Jinx.getDureeVie()+"\nEP: "+Jinx.getEnergie());
        Jinx.varierDureeVie(5);
        Jinx.varierEnergie(-10);
        System.out.println(Jinx.getNom()+"\nHP: "+Jinx.getDureeVie()+"\nEP: "+Jinx.getEnergie());
        Jinx.varierDureeVie(-5);
        Jinx.varierEnergie(10);
        System.out.println(Jinx.getNom()+"\nHP: "+Jinx.getDureeVie()+"\nEP: "+Jinx.getEnergie());
        
        Mel.rencontrer(Jinx);
        Jinx.rencontrer(Mel);
    }
    
}
